Package org.jboss.logging.processor.apt

## Class MessageInterfaceFactory

- java.lang.Object
- - org.jboss.logging.processor.apt.MessageInterfaceFactory

    public final class MessageInterfaceFactory
    extends java.lang.Object

A factory to create a `MessageInterface` for annotation processors.

Author:
  James R. Perkins

### Method Summary

All Methods Static Methods Concrete Methods
`static MessageInterface` `of​(javax.annotation.processing.ProcessingEnvironment processingEnv, javax.lang.model.element.TypeElement interfaceElement, java.util.Properties expressionProperties, boolean addGeneratedAnnotation)` Creates a message interface from the `TypeElement` specified by the `interfaceElement` parameter.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static MessageInterface of​(javax.annotation.processing.ProcessingEnvironment processingEnv,
                                      javax.lang.model.element.TypeElement interfaceElement,
                                      java.util.Properties expressionProperties,
                                      boolean addGeneratedAnnotation)

Creates a message interface from the `TypeElement` specified by the `interfaceElement` parameter.

Parameters:
  `processingEnv` - the annotation processing environment.
  `interfaceElement` - the interface element to parse.
  `expressionProperties` - the properties used to resolve expressions
Returns:
  a message interface for the interface element.